Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## modhelxs.mocs.tfsm.parser
Enum Value

    java.lang.Object
      java.lang.Enum<Value>
          modhelxs.mocs.tfsm.parser.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Value>

    public enum Value

extends java.lang.Enum<Value>

Enum Constant Summary
`ERROR`
`FALSE`
`TRUE`
`UNKNOWN`

Method Summary
`static Value` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Value[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final Value TRUE

### FALSE

    public static final Value FALSE

### UNKNOWN

    public static final Value UNKNOWN

### ERROR

    public static final Value ERROR

Method Detail

### values

    public static Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Value c : Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD